man(8)

NAME
npd6 - neighbor proxy daemon ipv6

SYNOPSIS
npd6 [ -hvcdDf] [ -c configfile ] [ -l logfile ]

DESCRIPTION
npd6 is a daemon which listens on nominated interfaces for IPv6 Neighbor Solicitations which match defined prefixes. It will answer them with an appropriate Neighbor Advertisement.

npd6 is configured using a config file (default /etc/npd6.conf) and also has a number of cli options to enable various levels of logging, debug, etc.

Please read the man page for the config file for much more information.

OPTIONS
-h, --help
    Displays short usage summary and then exits.

-v, --version
    Displays the version of npd6 and then exits.

-c configfile, --config configfile
    Alternate config file. Default is /etc/npd6.conf See npd6.conf(5).

-d, --debug
    Enable debug logging - moderate.

-D, --debug2
    Enable more debug logging - lots.

-f, --foreground
    Run npd6 in the foreground, staying attached to the terminal. Default is that it daemonizes otherwise. Typically used for debugging, etc.

-l logfile, --logfile logfile
    The default is that npd6 logs via syslog. This parameter tells it to log directly to the nominated file.

FILES
/etc/npd6.conf
    Default configuration file.
/var/log/npd6
    Default log file (if used)

SEE ALSO
npd6.conf(5)

BUGS
No known bugs - Please report them to npd6Project@gmail.com

AUTHOR
Sean Groarke (sgroarke@gmail.com)